Author Topic: codeblocks: error while loading shared libraries: libwx_gtk2u_aui-2.8.so.0  (Read 6063 times)

Offline Hardi

  • Multiple posting newcomer
  • *
  • Posts: 18
Hello. I downloaded the latest nightly (rev4368) and installed all the .deb packages in the http://prdownload.berlios.de/codeblocks/CB_20070813_rev4368_Ubuntu6.10+7.04_wx2.8.4.tar.gz archive
but when i run codeblocks i get the following error:

codeblocks: error while loading shared libraries: libwx_gtk2u_aui-2.8.so.0: cannot open shared object file: No such file or directory


My Ubuntu is 7.04 though - could that cause the problem?

Offline Hardi

  • Multiple posting newcomer
  • *
  • Posts: 18
Solved.

Installing libwxgtk2.8-0 helped.

Larry_Croft

  • Guest
Same problem but under Debian SID. It seems like there is no libwxgtk2.8 available. Anyone got a workaround for this problem? (naming the last Code::Blocks version using libwxgtk2.6 would count :-))

edit: seems like rev3960
« Last Edit: August 27, 2007, 01:07:23 pm by Larry_Croft »

ashgenesis

  • Guest
Unofficial APT repositories - package search
Note: please read the front page news postings before emailing about database issues
Package search results:

    * (Verified) # gis repository for GRASS and QGIS (Added 2007-08-2, last checked 2007-08-3) (Download as text) - maintained by Otto Dassau <dassau at nature-consult dot de>
      Packages: gdal, grass, gdal-grass, qgis
      Architectures: all, i386
      deb http://software.nature-consult.de/repos/debian_etch etch main
      deb-src http://software.nature-consult.de/repos/debian_etch etch main


    * Matches:
      libwxgtk2.8-0 2.8.4.0-0 (i386)
      libwxgtk2.8-dbg 2.8.4.0-0 (i386)
      libwxgtk2.8-dev 2.8.4.0-0 (i386)


Larry_Croft

  • Guest
Thanks, this is much nicer than using outdated software :-P